Subject: [Sip] Section 18.1.1 (on MTU and transport) of RFC 3261 and SigComp

From: Kross Joachim <[email-masked]>
Date: Tue, 21 Oct 2003 13:06:48 +0200

Dear all,

I asked this question on the sip-implementors list some time ago, but it seems no one is implementing this yet. So please permit me to ask this question here where SIP itself is being developed.

I am wondering how the selection of the transport protocol described in section 18.1.1 of RFC 3261 (i.e. for requests greater path MTU - 200, or greater 1300 if the path MTU is unknown, TCP MUST be used) is done in the presence of SigComp. Is the decision whether TCP shall be used made based on the length of the uncompressed or the compressed request? Is there any normative reference for this (I haven't found one)?

Thank you!

Regards,
Joachim

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip